## lcgdm 1.8.1.2

=== rpm/Makefile ===
#
# Copyright (c) Members of the EGEE Collaboration. 2006-2009.
# See http://public.eu-egee.org/partners/ for details on 
# the copyright holders.
# For license conditions see the license file or
# http://www.apache.org/licenses/LICENSE-2.0
#
# Authors: 
#      Akos Frohner <Akos.Frohner@cern.ch>
#
# Makefile to build all RPMs in one go.

default: all

OS=$(shell ../scripts/get-platform-os)

ifndef VERSION
include ../VERSION
endif

ifndef RELEASE_SUFFIX
RELEASE_SUFFIX=$(RC)sec.$(OS)
endif

ifndef PREFIX
PREFIX =$(shell if (echo "$(EXTRA_CONFIGURE_OPTIONS)" | egrep -e "--with-emi" > /dev/null 2>&1); then echo "/usr" ; else echo "/opt/lcg"; fi;)
endif

ifeq ($(GLOBUS_LOCATION),)
GLOBUS_LOCATION=$(shell awk '/^.define.*GlobusLocation/ { print $$3 }' ../config/site.def)
endif

LIBDIR='lib'
ifeq ($(shell uname -m),'x86_64')
    LIBDIR='lib64'
endif
ifeq ($(PERLDIR),)
PERLDIR =$(shell if (echo "$(EXTRA_CONFIGURE_OPTIONS)" | egrep -e "--with-emi" > /dev/null 2>&1); then perl -MConfig -e 'print $$Config{vendorarchexp}'; else echo "$(PREFIX)/$(LIBDIR)/perl"; fi;)
endif

REQUIRES.VOMS =$(shell if (echo "$(EXTRA_CONFIGURE_OPTIONS)" | egrep -e "--with-emi" > /dev/null 2>&1); then echo "voms" ; else echo "glite-security-voms-api-cpp"; fi;)

ifndef ORACLE_INSTANTCLIENT_LOCATION
ORACLE_INSTANTCLIENT_LOCATION=/usr
endif
ifndef ORACLE_INSTANTCLIENT_VERSION
ORACLE_INSTANTCLIENT_VERSION=10.2.0.3
endif
ORACLE_INSTANTCLIENT_LIBDIR=$(ORACLE_INSTANTCLIENT_LOCATION)/lib/oracle/$(ORACLE_INSTANTCLIENT_VERSION)/client/lib/

PYTHON_VERSION=$(shell python -c "import sys; print sys.version[:3]")

all: rpm-lcg-dm-common rpm-LFC-mysql rpm-DPM-mysql rpm-DPM-dicom-mysql
ifneq ($(PROC_INIT),)
all: rpm-LFC-oracle rpm-DPM-oracle
endif
all:
	mkdir -p ../RPMS
	cp build-*/RPMS/*/*.rpm ../RPMS/
	cp build-*/SRPMS/*.rpm ../RPMS/

install: install-lcg-dm-common install-LFC-mysql install-DPM-mysql

client: rpm-lcg-dm-common rpm-LFC-client rpm-DPM-client
	mkdir -p ../RPMS
	cp build-*/RPMS/*/*.rpm ../RPMS/
	cp build-*/SRPMS/*.rpm ../RPMS/

client-install: install-lcg-dm-common install-LFC-client install-DPM-client

py25: rpm-LFC-py25 rpm-DPM-py25
	mkdir -p ../RPMS
	cp build-*/RPMS/*/*.rpm ../RPMS/
	cp build-*/SRPMS/*.rpm ../RPMS/

py26: rpm-LFC-py26 rpm-DPM-py26
	mkdir -p ../RPMS
	cp build-*/RPMS/*/*.rpm ../RPMS/
	cp build-*/SRPMS/*.rpm ../RPMS/

check-proc:
	source $(PROC_INIT); which proc

SOURCE_DIR=LCG-DM-$(VERSION)
SOURCE_TAR=$(SOURCE_DIR).tar.gz

$(SOURCE_TAR):
	cd ..; \
	rm -rf $(SOURCE_DIR); \
	mkdir $(SOURCE_DIR); \
	cp -rp Imakefile Makefile.ini Makefile.ini.Win32 README VERSION \
		config imake test setosflags configure doc scripts \
		h lib shlib common ns rfio dpm srmv1 srmv2 srmv2.2 security \
		dli dicomcopy dpmcopy $(SOURCE_DIR); \
	find $(SOURCE_DIR) -name .svn -print0 | xargs -0 rm -rf ; \
	tar -czf $(SOURCE_TAR) $(SOURCE_DIR); \
	rm -rf $(SOURCE_DIR)
	mv ../$(SOURCE_TAR) .

source: $(SOURCE_TAR)

build-rpm: source
	mkdir -p build-rpm
	mkdir -p build-rpm/BUILD
	mkdir -p build-rpm/RPMS
	mkdir -p build-rpm/SRPMS
	mkdir -p build-rpm/SOURCES
	mkdir -p build-rpm/SPECS
	cp $(SOURCE_TAR) build-rpm/SOURCES
	for spec in *.spec; do \
		sed -e 's/@VERSION@/$(VERSION)/g;' \
			-e 's/@RELEASE@/$(RELEASE)/g;' \
			-e 's/@SECURITY@/$(RELEASE_SUFFIX)/g;' \
			-e 's#@PREFIX@#$(PREFIX)#g;' \
			-e 's/@PYTHON.VERSION@/$(PYTHON_VERSION)/g;' \
			-e 's/@REQUIRES.VOMS@/$(REQUIRES.VOMS)/g;' \
			-e 's,@PERLDIR@,$(PERLDIR),g;' \
			-f $(OS).spec.requires $$spec >build-rpm/SPECS/$$spec; \
	done

###############################################################################
# common
###############################################################################

BUILD_COMMON=build-rpm/BUILD/lcg-dm-common-$(VERSION)

rpm-lcg-dm-common $(BUILD_COMMON): build-rpm 
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/lcg-dm-common.spec

install-lcg-dm-common: $(BUILD_COMMON)
	if [ ! -d "$(prefix)" ]; then mkdir -p "$(prefix)"; fi
	cd $(BUILD_COMMON); $(MAKE) prefix=$(prefix) install install.man

###############################################################################
# LFC client
###############################################################################

BUILD_LFC_CLIENT=build-rpm/BUILD/LFC-client-$(VERSION)

rpm-LFC-client $(BUILD_LFC_CLIENT): build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-client.spec

install-LFC-client: $(BUILD_LFC_CLIENT)
	if [ ! -d "$(prefix)" ]; then mkdir -p "$(prefix)"; fi
	cd $(BUILD_LFC_CLIENT); $(MAKE) prefix=$(prefix) install install.man

###############################################################################
# DPM client
###############################################################################

BUILD_DPM_CLIENT=build-rpm/BUILD/DPM-client-$(VERSION)

rpm-DPM-client $(BUILD_DPM_CLIENT): build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-client.spec

install-DPM-client: $(BUILD_DPM_CLIENT)
	if [ ! -d "$(prefix)" ]; then mkdir -p "$(prefix)"; fi
	cd $(BUILD_DPM_CLIENT); $(MAKE) prefix=$(prefix) install install.man

###############################################################################
# LFC MySQL
###############################################################################

BUILD_LFC_MYSQL=build-rpm/BUILD/LFC-mysql-$(VERSION)

rpm-LFC-mysql $(BUILD_LFC_MYSQL): build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-mysql.spec

install-LFC-mysql: $(BUILD_LFC_MYSQL)
	if [ ! -d "$(prefix)" ]; then mkdir -p "$(prefix)"; fi
	cd $(BUILD_LFC_MYSQL); $(MAKE) prefix=$(prefix) install install.man

###############################################################################
# DPM MySQL
###############################################################################

BUILD_DPM_MYSQL=build-rpm/BUILD/DPM-mysql-$(VERSION)

rpm-DPM-mysql $(BUILD_DPM_MYSQL): build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-mysql.spec

install-DPM-mysql: $(BUILD_DPM_MYSQL)
	if [ ! -d "$(prefix)" ]; then mkdir -p "$(prefix)"; fi
	cd $(BUILD_DPM_MYSQL); $(MAKE) prefix=$(prefix) install install.man

###############################################################################
# DPM-DICOM MySQL
###############################################################################

rpm-DPM-dicom-mysql: build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-dicom.spec

###############################################################################
# LFC Oracle
###############################################################################

rpm-LFC-oracle: build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(ORACLE_INSTANTCLIENT_LIBDIR):$(LD_LIBRARY_PATH); \
	source $(PROC_INIT); \
	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-oracle.spec

###############################################################################
# DPM Oracle
###############################################################################

rpm-DPM-oracle: build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(ORACLE_INSTANTCLIENT_LIBDIR):$(LD_LIBRARY_PATH); \
	source $(PROC_INIT); \
	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-oracle.spec

###############################################################################
# LFC PostgreSQL
###############################################################################

rpm-LFC-postgres: build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-postgres.spec

###############################################################################
# DPM PostgreSQL
###############################################################################

rpm-DPM-postgres: build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-postgres.spec

###############################################################################
# LFC Python 2.5
###############################################################################

rpm-LFC-py25: build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-interfaces-py25.spec

###############################################################################
# LFC Python 2.6
###############################################################################

rpm-LFC-py26: build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-interfaces-py26.spec

###############################################################################
# DPM Python 2.5
###############################################################################

rpm-DPM-py25: build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-interfaces-py25.spec

###############################################################################
# DPM Python 2.6
###############################################################################

rpm-DPM-py26: build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-interfaces-py26.spec

clean:
	-rm -rf ../RPMS build-rpm $(SOURCE_TAR)

=== debian/changelog ===
lcgdm (1.8.1.2-3) unstable; urgency=low

  * Add some missing directories to packages (fixes piupart warnings)
  * Fix insignificant glitch in the patches that caused warnings during build

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 20 Oct 2011 01:08:44 +0200

lcgdm (1.8.1.2-2) unstable; urgency=low

  * Merge the lcgdm packages to a single source package for easier package
    maintenance and improved inter-package dependency handling (Closes:
    #643476, #643477, #643485, #643486)
  * Implement new package names agreed with upstream
  * Add debug package
  * Use dpkg's build flags

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 09 Sep 2011 13:35:24 +0200

dpm-postgres (1.8.1.2-1) unstable; urgency=low

  * Update to version 1.8.1.2
  * Drop patches lcgdm-withsoname.patch and lcgdm-gsoap.patch (upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 03 Sep 2011 19:21:09 +0200

dpm (1.8.1.2-1) unstable; urgency=low

  * Update to version 1.8.1.2
  * Drop patches lcgdm-withsoname.patch and lcgdm-gsoap.patch (upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 03 Sep 2011 18:25:30 +0200

lfc-postgres (1.8.1.2-1) unstable; urgency=low

  * Update to version 1.8.1.2
  * Drop patches lcgdm-withsoname.patch and lcgdm-gsoap.patch (upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 03 Sep 2011 17:35:09 +0200

lfc (1.8.1.2-1) unstable; urgency=low

  * Update to version 1.8.1.2
  * Drop patches lcgdm-withsoname.patch and lcgdm-gsoap.patch (upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 03 Sep 2011 16:09:11 +0200

dpm-postgres (1.8.0.1-1) unstable; urgency=low

  * Update to version 1.8.0.1
  * Dropped patch lcgdm-bashisms patch (fixed upstream)
  * Add database schema migration to maintainer scripts
  * Fix broken condrestart action in startup scripts
  * Fix race condition in Makefile

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 16 May 2011 06:47:45 +0200

dpm (1.8.0.1-1) unstable; urgency=low

  * Update to version 1.8.0.1
  * Dropped patch lcgdm-bashisms patch (fixed upstream)
  * Add database schema migration to maintainer scripts
  * Fix broken condrestart action in startup scripts
  * Fix race condition in Makefile

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 15 May 2011 21:23:35 +0200

lfc-postgres (1.8.0.1-1) unstable; urgency=low

  * Update to version 1.8.0.1
  * Dropped patch lcgdm-bashisms patch (fixed upstream)
  * Add database schema migration to maintainer scripts
  * Fix broken condrestart action in startup scripts
  * Fix race condition in Makefile

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 16 May 2011 06:39:04 +0200

lfc (1.8.0.1-1) unstable; urgency=low

  * Update to version 1.8.0.1
  * Dropped patch lcgdm-bashisms patch (fixed upstream)
  * Add database schema migration to maintainer scripts
  * Fix broken condrestart action in startup scripts
  * Fix race condition in Makefile (Closes: #626070)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 11 May 2011 08:49:57 +0200

dpm-postgres (1.7.4.7-1) unstable; urgency=low

  * Update to version 1.7.4.7
  * Dropped patches lcgdm-typo.patch and lcgdm-man.patch (fixed upstream)
  * Fix bashisms (Closes: #581087, #581088, #581089, #581090, #581093, #581097)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 06 Jun 2010 14:30:32 +0200

dpm (1.7.4.7-1) unstable; urgency=low

  * Update to version 1.7.4.7
  * Dropped patches lcgdm-typo.patch and lcgdm-man.patch (fixed upstream)
  * Fix bashisms (Closes: #581081, #581082, #581083, #581084, #581085, #581086,
    #581096)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 06 Jun 2010 14:30:32 +0200

lfc-postgres (1.7.4.7-1) unstable; urgency=low

  * Update to version 1.7.4.7
  * Dropped patches lcgdm-typo.patch and lcgdm-man.patch (fixed upstream)
  * Fix bashisms (Closes: #581120)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 06 Jun 2010 14:30:32 +0200

lfc (1.7.4.7-1) unstable; urgency=low

  * Update to version 1.7.4.7
  * Dropped patches lcgdm-typo.patch and lcgdm-man.patch (fixed upstream)
  * Fix bashisms (Closes: #581118, #581119)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 06 Jun 2010 14:30:32 +0200

dpm-postgres (1.7.4.4-1) unstable; urgency=low

  * Update to version 1.7.4.4
  * Dropped patches lcgdm-installpermissions.patch, lcgdm-rules.patch,
    lcgdm-initscripts.patch and lcgdm-posinc.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 18 Apr 2010 13:38:13 +0200

dpm (1.7.4.4-1) unstable; urgency=low

  * Update to version 1.7.4.4
  * Dropped patches lcgdm-installpermissions.patch, lcgdm-rules.patch,
    lcgdm-initscripts.patch and lcgdm-posinc.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 18 Apr 2010 13:38:13 +0200

lfc-postgres (1.7.4.4-1) unstable; urgency=low

  * Update to version 1.7.4.4
  * Dropped patches lcgdm-installpermissions.patch, lcgdm-rules.patch,
    lcgdm-initscripts.patch and lcgdm-posinc.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 18 Apr 2010 13:38:13 +0200

lfc (1.7.4.4-1) unstable; urgency=low

  * Update to version 1.7.4.4
  * Dropped patches lcgdm-installpermissions.patch, lcgdm-rules.patch,
    lcgdm-initscripts.patch and lcgdm-posinc.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 18 Apr 2010 13:38:13 +0200

dpm-postgres (1.7.4.1-3) unstable; urgency=low

  * Correct install script typos (fixes piuparts errors)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 06 Jan 2010 18:40:02 +0100

dpm (1.7.4.1-3) unstable; urgency=low

  * Correct install script typos (fixes piuparts errors)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 06 Jan 2010 18:40:02 +0100

dpm-postgres (1.7.4.1-2) unstable; urgency=low

  * More porting fixes for GNU/Hurd

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 06 Jan 2010 00:18:31 +0100

dpm (1.7.4.1-2) unstable; urgency=low



=== debian/control ===
Source: lcgdm
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 5), libglobus-gssapi-gsi-dev, libglobus-gss-assist-dev, libglobus-gsi-credential-dev, libglobus-gsi-callback-dev, libglobus-gass-copy-dev, libglobus-ftp-client-dev, libglobus-common-dev, voms-dev (>= 2), gsoap, libcgsi-gsoap-dev (>= 1.3.4.2), libmysqlclient-dev, libpq-dev, uuid-dev, swig, libperl-dev, perl, python-dev, python-support, xutils-dev
XS-Python-Version: current
Standards-Version: 3.9.2
Section: net
DM-Upload-Allowed: yes
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/lcgdm
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/lcgdm
Homepage: http://glite.web.cern.ch/glite/

Package: liblcgdm1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LHC Computing Grid Data Management common libraries
 This package contains common libraries for the LCG Data Management
 components: the LFC (LCG File Catalog) and the DPM (Disk Pool Manager).

Package: liblcgdm-dev
Section: libdevel
Architecture: any
Depends: liblcgdm1 (= ${binary:Version}), ${misc:Depends}
Description: LCG Data Management common development files
 This package contains common development libraries and header files
 for LCG Data Management.

Package: liblfc1
Section: libs
Architecture: any
Depends: liblcgdm1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: LCG File Catalog (LFC) libraries
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package contains the runtime LFC client library.

Package: liblfc-dev
Section: libdevel
Architecture: any
Depends: liblfc1 (= ${binary:Version}), liblcgdm-dev (= ${binary:Version}), ${misc:Depends}
Description: LFC development libraries and header files
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package contains the development libraries and header files for LFC.

Package: lfc
Section: net
Architecture: any
Provides: lfc-client
Replaces: lfc-client (<< 1.8.1.2-2~)
Conflicts: lfc-client (<< 1.8.1.2-2~)
Depends: liblfc1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: LCG File Catalog (LFC) client
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides the command line interfaces for the LFC.

Package: liblfc-perl
Section: perl
Architecture: any
Depends: liblfc1 (= ${binary:Version}), ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Description: LCG File Catalog (LFC) perl bindings
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides Perl bindings for the LFC client library.

Package: python-lfc
Section: python
Architecture: any
Provides: ${python:Provides}
Depends: liblfc1 (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Description: LCG File Catalog (LFC) python bindings
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides Python bindings for the LFC client library.

Package: lfc-server-mysql
Section: net
Architecture: any
Provides: lfc-mysql
Replaces: lfc-mysql (<< 1.8.1.2-2~)
Conflicts: lfc-mysql (<< 1.8.1.2-2~)
Depends: liblfc1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, mysql-client
Description: LCG File Catalog (LFC) server with MySQL database backend
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides an LFC server that uses MySQL as its database
 backend.

Package: lfc-server-postgres
Section: net
Architecture: any
Provides: lfc-postgres
Replaces: lfc-postgres (<< 1.8.1.2-2~)
Conflicts: lfc-postgres (<< 1.8.1.2-2~)
Depends: liblfc1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, postgresql-client
Description: LCG File Catalog (LFC) server with postgres database backend
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system. 
 This package provides an LFC server that uses postgres as its database
 backend.

Package: lfc-dli
Section: net
Architecture: any
Depends: liblfc1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}
Description: LCG File Catalog (LFC) data location interface (dli) server
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides the data location interface (dli) server for
 the LFC.

Package: libdpm1
Section: libs
Architecture: any
Depends: liblcgdm1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Disk Pool Manager (DPM) libraries
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package contains the runtime DPM client library.

Package: libdpm-dev
Section: libdevel
Architecture: any
Depends: libdpm1 (= ${binary:Version}), liblcgdm-dev (= ${binary:Version}), ${misc:Depends}
Description: DPM development libraries and header files
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package contains the development libraries and header files for DPM.

Package: dpm
Section: net
Architecture: any
Provides: dpm-client
Replaces: dpm-client (<< 1.8.1.2-2~)
Conflicts: dpm-client (<< 1.8.1.2-2~)
Depends: libdpm1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Disk Pool Manager (DPM) client
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides the command line interfaces for the DPM.

Package: libdpm-perl
Section: perl
Architecture: any
Depends: libdpm1 (= ${binary:Version}), ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Description: Disk Pool Manager (DPM) perl bindings
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides Perl bindings for the DPM client library.

Package: python-dpm
Section: python
Architecture: any
Provides: ${python:Provides}
Depends: libdpm1 (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Description: Disk Pool Manager (DPM) python bindings
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides Python bindings for the DPM client library.

Package: dpm-server-mysql
Section: net
Architecture: any
Provides: dpm-mysql
Replaces: dpm-mysql (<< 1.8.1.2-2~)
Conflicts: dpm-mysql (<< 1.8.1.2-2~)
Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger
Description: Disk Pool Manager (DPM) server with MySQL database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM server that uses MySQL as its database
 backend.

Package: dpm-server-postgres
Section: net
Architecture: any
Provides: dpm-postgres
Replaces: dpm-postgres (<< 1.8.1.2-2~)
Conflicts: dpm-postgres (<< 1.8.1.2-2~)
Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger
Description: Disk Pool Manager (DPM) server with postgres database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM server that uses postgres as its database
 backend.

Package: dpm-name-server-mysql
Section: net
Architecture: any
Provides: dpm-mysql-nameserver
Replaces: dpm-mysql-nameserver (<< 1.8.1.2-2~)
Conflicts: dpm-mysql-nameserver (<< 1.8.1.2-2~)
Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, mysql-client
Description: DPM nameserver server with MySQL database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM nameserver that uses MySQL as its
 database backend.

Package: dpm-name-server-postgres
Section: net
Architecture: any
Provides: dpm-postgres-nameserver
Replaces: dpm-postgres-nameserver (<< 1.8.1.2-2~)
Conflicts: dpm-postgres-nameserver (<< 1.8.1.2-2~)
Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, postgresql-client
Description: DPM nameserver server with postgres database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM nameserver that uses postgres as its
 database backend.

Package: dpm-copy-server-mysql
Section: net
Architecture: any
Provides: dpm-mysql-copyd
Replaces: dpm-mysql-copyd (<< 1.8.1.2-2~)
Conflicts: dpm-mysql-copyd (<< 1.8.1.2-2~)
Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger
Description: DPM copy server with MySQL database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM copy server that uses MySQL as its
 database backend.

Package: dpm-copy-server-postgres
Section: net
Architecture: any
Provides: dpm-postgres-copyd
Replaces: dpm-postgres-copyd (<< 1.8.1.2-2~)
Conflicts: dpm-postgres-copyd (<< 1.8.1.2-2~)
Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger
Description: DPM copy server with postgres database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM copy server that uses postgres as its
 database backend.

Package: dpm-srm-server-mysql
Section: net
Architecture: any
Provides: dpm-mysql-srmv1, dpm-mysql-srmv2, dpm-mysql-srmv22
Replaces: dpm-mysql-srmv1 (<< 1.8.1.2-2~), dpm-mysql-srmv2 (<< 1.8.1.2-2~), dpm-mysql-srmv22 (<< 1.8.1.2-2~)
Conflicts: dpm-mysql-srmv1 (<< 1.8.1.2-2~), dpm-mysql-srmv2 (<< 1.8.1.2-2~), dpm-mysql-srmv22 (<< 1.8.1.2-2~)
Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger
Description: DPM SRM server with MySQL database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM SRM server that uses MySQL as its
 database backend.

Package: dpm-srm-server-postgres
Section: net
Architecture: any
Provides: dpm-postgres-srmv1, dpm-postgres-srmv2, dpm-postgres-srmv22

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

INSTALLDIR = $(CURDIR)/debian/tmp

_prefix = /usr
_bindir = $(_prefix)/bin
_sbindir = $(_prefix)/sbin
_libdir = $(_prefix)/lib
_includedir = $(_prefix)/include
_sysconfdir = /etc
_localstatedir = /var
_initrddir = $(_sysconfdir)/init.d
_datadir = $(_prefix)/share
_mandir = $(_datadir)/man
_docdir = $(_datadir)/doc

VERSION=1.8.1.2

configure: configure-stamp
	:

configure-stamp:
	dh_testdir

	chmod 644 security/globus_gsi_gss_constants.h \
		  security/globus_i_gsi_credential.h \
		  security/gssapi_openssl.h
	chmod 644 doc/lfc/INSTALL-*

	# LFC with mysql backend

	mkdir lfc-mysql
	cp -pr Imakefile Makefile.ini config configure VERSION scripts \
	    h lib shlib common ns rfio dpm \
	    srmv1 srmv2 srmv2.2 security dli dicomcopy dpmcopy \
	    test lfc-mysql

	# The code violates the strict aliasing rules all over the place...
	# Need to use -fnostrict-aliasing so that the -O2 optimization in
	# CFLAGS doesn't try to use them.
	sed 's/^CC +=/& $(CFLAGS) -fno-strict-aliasing/' \
	    -i lfc-mysql/config/linux.cf

	cd lfc-mysql && \
	gsoapversion=`soapcpp2 -v 2>&1 | grep C++ | sed 's/.* //'` && \
	./configure lfc --with-mysql \
		--libdir=lib \
		--with-gsoap-version=$$gsoapversion \
		--with-id-map-file=$(_sysconfdir)/lcgdm-mapfile \
		--with-ns-config-file=$(_sysconfdir)/NSCONFIG \
		--with-emi \
	        --without-argus

	cd lfc-mysql && \
	make -f Makefile.ini Makefiles

	# LFC with postgres backend

	mkdir lfc-postgres
	cp -pr Imakefile Makefile.ini config configure VERSION scripts \
	    h lib shlib common ns rfio dpm \
	    srmv1 srmv2 srmv2.2 security dli dicomcopy dpmcopy \
	    test lfc-postgres

	# The code violates the strict aliasing rules all over the place...
	# Need to use -fnostrict-aliasing so that the -O2 optimization in
	# CFLAGS doesn't try to use them.
	sed 's/^CC +=/& $(CFLAGS) -fno-strict-aliasing/' \
	    -i lfc-postgres/config/linux.cf

	cd lfc-postgres && \
	gsoapversion=`soapcpp2 -v 2>&1 | grep C++ | sed 's/.* //'` && \
	./configure lfc --with-postgres \
		--libdir=lib \
		--with-gsoap-version=$$gsoapversion \
		--with-id-map-file=$(_sysconfdir)/lcgdm-mapfile \
		--with-ns-config-file=$(_sysconfdir)/NSCONFIG \
		--with-emi \
	        --without-argus

	sed -e 's/\(BuildDLI	*\)YES/\1NO/' \
	    -e 's/\(BuildInterfaces	*\)YES/\1NO/' \
	    -e 's/\(BuildNameServerClient	*\)YES/\1NO/' \
	    -e 's/\(BuildNameServerLibrary	*\)YES/\1NO/' \
	    -i lfc-postgres/config/site.def
	sed '/^\#define.*YES/d' -i lfc-postgres/config/Project.tmpl \
				   lfc-postgres/config/Library.tmpl
	sed '/^SECURITYDIR =/d' -i lfc-postgres/config/Project.tmpl

	cd lfc-postgres && \
	make -f Makefile.ini Makefiles

	# DPM with mysql backend

	mkdir dpm-mysql
	cp -pr Imakefile Makefile.ini config configure VERSION scripts \
	    h lib shlib common ns rfio dpm \
	    srmv1 srmv2 srmv2.2 security dli dicomcopy dpmcopy \
	    test dpm-mysql

	# The code violates the strict aliasing rules all over the place...
	# Need to use -fnostrict-aliasing so that the -O2 optimization in
	# CFLAGS doesn't try to use them.
	sed 's/^CC +=/& $(CFLAGS) -fno-strict-aliasing/' \
	    -i dpm-mysql/config/linux.cf

	cd dpm-mysql && \
	gsoapversion=`soapcpp2 -v 2>&1 | grep C++ | sed 's/.* //'` && \
	./configure dpm --with-mysql \
		--libdir=lib \
		--with-gsoap-version=$$gsoapversion \
		--with-dpm-config-file=$(_sysconfdir)/DPMCONFIG \
		--with-id-map-file=$(_sysconfdir)/lcgdm-mapfile \
		--with-ns-config-file=$(_sysconfdir)/DPNSCONFIG \
		--with-emi \
	        --without-argus

	sed -e '/^SECURITYDIR =/d' \
	    -e '/^COMMONDIR =/d' -i dpm-mysql/config/Project.tmpl
	sed -e 's/:.*(lcgdm).*/:/' -i dpm-mysql/lib/Imakefile
	sed -e 's/:.*(lcgdm).*/:/' -i dpm-mysql/shlib/Imakefile

	cd dpm-mysql && \
	make -f Makefile.ini Makefiles

	# DPM with postgres backend

	mkdir dpm-postgres
	cp -pr Imakefile Makefile.ini config configure VERSION scripts \
	    h lib shlib common ns rfio dpm \
	    srmv1 srmv2 srmv2.2 security dli dicomcopy dpmcopy \
	    test dpm-postgres

	# The code violates the strict aliasing rules all over the place...
	# Need to use -fnostrict-aliasing so that the -O2 optimization in
	# CFLAGS doesn't try to use them.
	sed 's/^CC +=/& $(CFLAGS) -fno-strict-aliasing/' \
	    -i dpm-postgres/config/linux.cf

	cd dpm-postgres && \
	gsoapversion=`soapcpp2 -v 2>&1 | grep C++ | sed 's/.* //'` && \
	./configure dpm --with-postgres \
		--libdir=lib \
		--with-gsoap-version=$$gsoapversion \
		--with-dpm-config-file=$(_sysconfdir)/DPMCONFIG \
		--with-id-map-file=$(_sysconfdir)/lcgdm-mapfile \
		--with-ns-config-file=$(_sysconfdir)/DPNSCONFIG \
		--with-emi \
	        --without-argus

	sed -e 's/\(BuildDPMClient	*\)YES/\1NO/' \
	    -e 's/\(BuildInterfaces	*\)YES/\1NO/' \
	    -e 's/\(BuildNameServerClient	*\)YES/\1NO/' \
	    -e 's/\(BuildNameServerLibrary	*\)YES/\1NO/' \
	    -e 's/\(BuildRfioClient	*\)YES/\1NO/' \
	    -e 's/\(BuildRfioServer	*\)YES/\1NO/' \
	    -i dpm-postgres/config/site.def
	sed '/^\#define.*YES/d' -i dpm-postgres/config/Project.tmpl \
				-i dpm-postgres/config/Library.tmpl
	sed '/^SECURITYDIR =/d' -i dpm-postgres/config/Project.tmpl

	cd dpm-postgres && \
	make -f Makefile.ini Makefiles

	touch $@

build: build-indep build-arch
	:

build-indep: build-stamp
	:

build-arch: build-stamp
	:

build-stamp: configure-stamp
	dh_testdir

	cd lfc-mysql && \
	$(MAKE) SOAPFLG="$(shell pkg-config --cflags gsoap)" \
		SYSCONFDIR=$(_sysconfdir) \
		LDFLAGS="$(LDFLAGS) -Wl,-z,defs"

	cd lfc-postgres/shlib && ln -s ../../lfc-mysql/shlib/liblcgdm.so* .
	cd lfc-postgres/shlib && ln -s ../../lfc-mysql/shlib/liblfc.so* .

	cd lfc-postgres && \
	$(MAKE) SOAPFLG="$(shell pkg-config --cflags gsoap)" \
		SYSCONFDIR=$(_sysconfdir) \
		LDFLAGS="$(LDFLAGS) -Wl,-z,defs" \
		POSINC=-I/usr/include/postgresql

	cd dpm-mysql/shlib && ln -s ../../lfc-mysql/shlib/liblcgdm.so* .

	cd dpm-mysql && \
	$(MAKE) SOAPFLG="$(shell pkg-config --cflags gsoap)" \
		SYSCONFDIR=$(_sysconfdir) \
		LDFLAGS="$(LDFLAGS) -Wl,-z,defs"

	cd dpm-postgres/shlib && ln -s ../../lfc-mysql/shlib/liblcgdm.so* .
	cd dpm-postgres/shlib && ln -s ../../dpm-mysql/shlib/libdpm.so* .

	cd dpm-postgres && \
	$(MAKE) SOAPFLG="$(shell pkg-config --cflags gsoap)" \
		SYSCONFDIR=$(_sysconfdir) \
		LDFLAGS="$(LDFLAGS) -Wl,-z,defs" \
		POSINC=-I/usr/include/postgresql

	touch $@

clean:
	dh_testdir
	dh_testroot

	rm -rf lfc-mysql
	rm -rf lfc-postgres
	rm -rf dpm-mysql
	rm -rf dpm-postgres

	rm -f build-stamp configure-stamp

	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	mkdir -p debian/liblcgdm-dev$(_docdir)
	ln -s liblcgdm1 debian/liblcgdm-dev$(_docdir)/liblgcdm-dev
	mkdir -p debian/liblfc-dev$(_docdir)
	ln -s liblfc1 debian/liblfc-dev$(_docdir)/liblfc-dev
	mkdir -p debian/libdpm-dev$(_docdir)
	ln -s libdpm1 debian/libdpm-dev$(_docdir)/libdpm-dev
	dh_clean -k

	mkdir -p $(INSTALLDIR)$(_sysconfdir)/init.d
	mkdir -p $(INSTALLDIR)$(_sysconfdir)/default
	mkdir -p $(INSTALLDIR)$(_sysconfdir)/logrotate.d
	mkdir -p $(INSTALLDIR)$(_sbindir)
	mkdir -p $(INSTALLDIR)$(_mandir)/man8

	# LFC with mysql backend

	cd lfc-mysql && \
	$(MAKE) SOAPFLG="$(shell pkg-config --cflags gsoap)" \
		SYSCONFDIR=$(INSTALLDIR)$(_sysconfdir) \
		LDFLAGS="$(LDFLAGS) -Wl,-z,defs" \
		prefix=$(INSTALLDIR)$(_prefix) install install.man

	mkdir -p $(INSTALLDIR)$(_datadir)/lfc
	mv $(INSTALLDIR)$(_datadir)/LFC/* $(INSTALLDIR)$(_datadir)/lfc
	rmdir $(INSTALLDIR)$(_datadir)/LFC

	mkdir -p $(INSTALLDIR)$(_libdir)/lfc-mysql
	mkdir -p $(INSTALLDIR)$(_sysconfdir)/lfc-mysql

	# lfcdaemon startup script
	sed -e 's/LD_LIBRARY_PATH=$$LD_LIBRARY_PATH //' \
	    -e '/LD_LIBRARY_PATH/d' \
	    -e 's!\$$PREFIX/bin!\$$PREFIX/sbin!' \
	    -e 's!\$$PREFIX/etc!/etc!' \
	    -e 's!mysqld!mysql!' \
	    $(INSTALLDIR)$(_datadir)/lfc/rc.lfcdaemon > \
	    $(INSTALLDIR)$(_sysconfdir)/lfc-mysql/lfcdaemon.init
	chmod 755 $(INSTALLDIR)$(_sysconfdir)/lfc-mysql/lfcdaemon.init

## lcgdm 1.8.2

=== rpm/Makefile ===
--- 
+++ 
@@ -14,6 +14,31 @@
 
 OS=$(shell ../scripts/get-platform-os)
 
+define emibuildrequires
+BuildRequires:  globus-gssapi-gsi-devel%{?_isa}\n
+BuildRequires:  globus-gss-assist-devel%{?_isa}\n
+BuildRequires:  globus-gsi-credential-devel%{?_isa}\n
+BuildRequires:  globus-gsi-callback-devel%{?_isa}\n
+BuildRequires:  globus-gass-copy-devel%{?_isa}\n
+BuildRequires:  globus-ftp-client-devel%{?_isa}\n
+BuildRequires:  globus-common-devel%{?_isa}\n
+BuildRequires:  voms-devel%{?_isa}\n
+BuildRequires:  gsoap-devel%{?_isa}\n
+BuildRequires:  CGSI-gSOAP-devel%{?_isa} >= 1.3.4.0\n
+BuildRequires:  CGSI_gSOAP_2.7-voms%{?_isa}\n
+BuildRequires:  mysql-devel%{?_isa}\n
+BuildRequires:  argus-pep-api-c-devel%{?_isa}\n
+BuildRequires:  swig%{?_isa}\n
+BuildRequires:  python-devel%{?_isa}\n
+endef
+
+define glitebuildrequires
+endef
+
+ifndef BUILDREQUIRES
+BUILDREQUIRES=$(shell if (echo "$(EXTRA_CONFIGURE_OPTIONS)" | egrep -e "--with-emi" > /dev/null 2>&1); then echo "$(emibuildrequires)"; else echo "$(glitebuildrequires)"; fi;)
+endif
+
 ifndef VERSION
 include ../VERSION
 endif
@@ -31,7 +56,7 @@
 endif
 
 LIBDIR='lib'
-ifeq ($(shell uname -m),'x86_64')
+ifeq ($(shell uname -m),x86_64)
     LIBDIR='lib64'
 endif
 ifeq ($(PERLDIR),)
@@ -115,6 +140,8 @@
 			-e 's/@PYTHON.VERSION@/$(PYTHON_VERSION)/g;' \
 			-e 's/@REQUIRES.VOMS@/$(REQUIRES.VOMS)/g;' \
 			-e 's,@PERLDIR@,$(PERLDIR),g;' \
+			-e 's/BuildRequires: @BUILDREQUIRES@/$(BUILDREQUIRES)/g;' \
+			-e 's#$${EXTRA_CONFIGURE_OPTIONS}#$(EXTRA_CONFIGURE_OPTIONS)#;' \
 			-f $(OS).spec.requires $$spec >build-rpm/SPECS/$$spec; \
 	done
 
@@ -126,7 +153,7 @@
 
 rpm-lcg-dm-common $(BUILD_COMMON): build-rpm 
 	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
-	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/lcg-dm-common.spec
+	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/lcg-dm-common.spec
 
 install-lcg-dm-common: $(BUILD_COMMON)
 	if [ ! -d "$(prefix)" ]; then mkdir -p "$(prefix)"; fi
@@ -140,7 +167,7 @@
 
 rpm-LFC-client $(BUILD_LFC_CLIENT): build-rpm
 	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
-	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-client.spec
+	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-client.spec
 
 install-LFC-client: $(BUILD_LFC_CLIENT)
 	if [ ! -d "$(prefix)" ]; then mkdir -p "$(prefix)"; fi
@@ -154,7 +181,7 @@
 
 rpm-DPM-client $(BUILD_DPM_CLIENT): build-rpm
 	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
-	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-client.spec
+	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-client.spec
 
 install-DPM-client: $(BUILD_DPM_CLIENT)
 	if [ ! -d "$(prefix)" ]; then mkdir -p "$(prefix)"; fi
@@ -168,7 +195,7 @@
 
 rpm-LFC-mysql $(BUILD_LFC_MYSQL): build-rpm
 	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
-	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-mysql.spec
+	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-mysql.spec
 
 install-LFC-mysql: $(BUILD_LFC_MYSQL)
 	if [ ! -d "$(prefix)" ]; then mkdir -p "$(prefix)"; fi
@@ -182,7 +209,7 @@
 
 rpm-DPM-mysql $(BUILD_DPM_MYSQL): build-rpm
 	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
-	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-mysql.spec
+	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-mysql.spec
 
 install-DPM-mysql: $(BUILD_DPM_MYSQL)
 	if [ ! -d "$(prefix)" ]; then mkdir -p "$(prefix)"; fi
@@ -194,7 +221,7 @@
 
 rpm-DPM-dicom-mysql: build-rpm
 	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
-	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-dicom.spec
+	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-dicom.spec
 
 ###############################################################################
 # LFC Oracle
@@ -203,7 +230,7 @@
 rpm-LFC-oracle: build-rpm
 	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(ORACLE_INSTANTCLIENT_LIBDIR):$(LD_LIBRARY_PATH); \
 	source $(PROC_INIT); \
-	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-oracle.spec
+	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-oracle.spec
 
 ###############################################################################
 # DPM Oracle
@@ -212,7 +239,7 @@
 rpm-DPM-oracle: build-rpm
 	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(ORACLE_INSTANTCLIENT_LIBDIR):$(LD_LIBRARY_PATH); \
 	source $(PROC_INIT); \
-	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-oracle.spec
+	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-oracle.spec
 
 ###############################################################################
 # LFC PostgreSQL
@@ -220,7 +247,7 @@
 
 rpm-LFC-postgres: build-rpm
 	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
-	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-postgres.spec
+	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-postgres.spec
 
 ###############################################################################
 # DPM PostgreSQL
@@ -228,7 +255,7 @@
 
 rpm-DPM-postgres: build-rpm
 	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
-	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-postgres.spec
+	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-postgres.spec
 
 ###############################################################################
 # LFC Python 2.5

=== debian/changelog ===
lcgdm (1.8.2-1) unstable; urgency=low

  * Update to version 1.8.2 (Closes: #630497)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 07 Dec 2011 19:56:02 +0100

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 _mandir = $(_datadir)/man
 _docdir = $(_datadir)/doc
 
-VERSION=1.8.1.2
+VERSION=1.8.2
 
 configure: configure-stamp
 	:
@@ -89,6 +89,7 @@
 	sed '/^\#define.*YES/d' -i lfc-postgres/config/Project.tmpl \
 				   lfc-postgres/config/Library.tmpl
 	sed '/^SECURITYDIR =/d' -i lfc-postgres/config/Project.tmpl
+	sed 's/\(install:\).*/\1/' -i lfc-postgres/h/Imakefile
 
 	cd lfc-postgres && \
 	make -f Makefile.ini Makefiles
@@ -161,6 +162,7 @@
 	sed '/^\#define.*YES/d' -i dpm-postgres/config/Project.tmpl \
 				-i dpm-postgres/config/Library.tmpl
 	sed '/^SECURITYDIR =/d' -i dpm-postgres/config/Project.tmpl
+	sed 's/\(install:\).*/\1/' -i dpm-postgres/h/Imakefile
 
 	cd dpm-postgres && \
 	make -f Makefile.ini Makefiles
@@ -263,5 +265,3 @@
 	    -e 's!\$$PREFIX/etc!/etc!' \
 	    -e 's!mysqld!mysql!' \
 	    $(INSTALLDIR)$(_datadir)/lfc/rc.lfcdaemon > \
-	    $(INSTALLDIR)$(_sysconfdir)/lfc-mysql/lfcdaemon.init
-	chmod 755 $(INSTALLDIR)$(_sysconfdir)/lfc-mysql/lfcdaemon.init
